﻿using System;

namespace Exceptions_04
{
    /// <summary>
    /// All credit goes to David Kadlec, author of this demo sample
    /// </summary>
    public class DynamiteException : Exception
    {
        int power = 10;

        public int Power
        {
            get { return power; }
            set { power = value; }
        }

        public DynamiteException(string message, int dynPower)
            : base(message)
        {
            power = dynPower;
        }

        public DynamiteException(string message, Exception ex, int dynPower)
            : base(message, ex)
        {
            power = dynPower;
        }
    }
}
